คิวอาร์โค้ด AI
GET https://qrde.cc/api/ai-qr-codes/
curl --request GET \
--url 'https://qrde.cc/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrde.cc/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| search | ทางเลือก สตริง | สตริงการค้นหา |
| search_by | ทางเลือก สตริง | คุณกำลังค้นหาโดยใช้ฟิลด์ใด ค่าที่อนุญาตคือ: name. |
| datetime_field | ทางเลือก สตริง | ค่าที่อนุญาต: datetime, last_datetime |
| datetime_start | ทางเลือก สตริง | กรองผลลัพธ์เริ่มต้นจากวันเวลานี้ รูปแบบ Y-m-d H:i:s. |
| datetime_end | ทางเลือก สตริง | กรองผลลัพธ์จนถึงวันและเวลานี้ รูปแบบ Y-m-d H:i:s |
| order_by | ทางเลือก สตริง | ฟิลด์ที่จะจัดเรียงผลลัพธ์ด้วย ค่าที่อนุญาตคือ: ai_qr_code_id, datetime, last_datetime, name. |
| order_type | ทางเลือก สตริง | การจัดลำดับของผลลัพธ์ ค่าอนุญาตได้แก่: ASC สำหรับการจัดลำดับจากน้อยไปมาก, และ DESC สำหรับการจัดลำดับจากมากไปน้อย. |
| page | ทางเลือก จำนวนเต็ม | หมายเลขหน้าที่คุณต้องการผลลัพธ์ ค่าเริ่มต้นคือ 1. |
| results_per_page | ทางเลือก จำนวนเต็ม | จำนวนผลลัพธ์ที่คุณต้องการต่อหน้า ค่าที่อนุญาตคือ: 10, 25, 50, 100, 250, 500, 1000 ค่าเริ่มต้นคือ 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"link_id": 1,
"project_id": 1,
"name": "Example",
"content": "Example",
"prompt": "Example",
"ai_qr_code": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-02 14:50:11"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://qrde.cc/api/ai-qr-codes?page=1",
"last": "https://qrde.cc/api/ai-qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://qrde.cc/api/ai-qr-codes?page=1"
}
}
GET https://qrde.cc/api/ai-qr-codes/{ai_qr_code_id}
curl --request GET \
--url 'https://qrde.cc/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrde.cc/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"project_id": 1,
"name": "Example",
"content": "Example",
"prompt": "Example",
"ai_qr_code": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-02 14:50:11"
}
}
POST https://qrde.cc/api/ai-qr-codes
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| link_id | ทางเลือก จำนวนเต็ม | พร้อมใช้งานเมื่อ: url_dynamic = 1 url_dynamic_existing_link = 1 |
| url_dynamic | ทางเลือก บูลีน | - |
| url_dynamic_existing_link | ทางเลือก บูลีน | พร้อมใช้งานเมื่อ: url_dynamic = 1 |
| project_id | ทางเลือก จำนวนเต็ม | - |
| name | ที่จำเป็น สตริง | - |
| content | ที่จำเป็น สตริง | - |
| prompt | ที่จำเป็น สตริง | - |
| embedded_data | ทางเลือก อาเรย์ | - |
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
curl --request POST \
--url 'https://qrde.cc/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=ทัศนียภาพธรรมชาติตอนพระอาทิตย์ตก, น้ำตก, สัตว์ป่า และแสงอาทิตย์' \
--form 'content=https://qrde.cc/' \
--url 'https://qrde.cc/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=ทัศนียภาพธรรมชาติตอนพระอาทิตย์ตก, น้ำตก, สัตว์ป่า และแสงอาทิตย์' \
--form 'content=https://qrde.cc/' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"project_id": 1,
"name": "Example",
"content": "Example",
"prompt": "Example",
"ai_qr_code": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-02 14:50:11"
}
}
POST https://qrde.cc/api/ai-qr-codes/{ai_qr_code_id}
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| link_id | ทางเลือก จำนวนเต็ม | พร้อมใช้งานเมื่อ: url_dynamic = 1 url_dynamic_existing_link = 1 |
| url_dynamic | ทางเลือก บูลีน | - |
| url_dynamic_existing_link | ทางเลือก บูลีน | พร้อมใช้งานเมื่อ: url_dynamic = 1 |
| project_id | ทางเลือก สตริง | - |
| name | ทางเลือก สตริง | - |
| content | ทางเลือก สตริง | - |
| prompt | ทางเลือก สตริง | - |
curl --request POST \
--url 'https://qrde.cc/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qrde.cc/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"project_id": 1,
"name": "Example",
"content": "Example",
"prompt": "Example",
"ai_qr_code": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-02 14:50:11"
}
}
DELETE https://qrde.cc/api/ai-qr-codes/{ai_qr_code_id}
curl --request DELETE \
--url 'https://qrde.cc/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrde.cc/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \